API7 Docs
API7 GatewayAPI7 Enterprise Developer Portal APIsGet public access settings

Get public access settings

GET /api/system_settings/public_access

GET /api/system_settings/public_access

Interactive request editor loads with JavaScript.

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

curl -X GET "$API_BASE_URL/api/system_settings/public_access"

{
  "portal_public_access": true
}
Complete operation details and schema variants

GET /api/system_settings/public_access

Get public access settings

Parameters

Responses

  • 200:
  • portal_public_access (boolean, required): If true, allow public access to the developer portal.
  • 400: Bad request.
  • status (integer, required): The HTTP status code of the error response.
  • message (string, required): The error message.
  • 401: Unauthorized. Response fields (application/json): identical to GET /api/system_settings/public_access, response 400 above.
  • 500: Internal server error.

cURL

curl -X GET '$API_BASE_URL/api/system_settings/public_access'